> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sessions recording status



## OpenAPI

````yaml /openapi.json get /sessions/{session_id}/recording-status
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /sessions/{session_id}/recording-status:
    get:
      tags:
        - Session
      operationId: get-sessions-session-id-recording-status
      parameters:
        - name: session_id
          schema:
            type: string
            format: uuid
          in: path
          required: true
          deprecated: false
          explode: true
        - name: status
          schema:
            $ref: '#/components/schemas/RecordingStatus'
          in: query
          required: false
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/RecordingStatusResponse'
        '400':
          description: ''
        '404':
          description: ''
components:
  schemas:
    RecordingStatus:
      type: string
      enum:
        - inactive
        - paused
        - recording
    RecordingStatusResponse:
      type: object
      title: RecordingStatusResponse
      required:
        - success
        - recording_status
      properties:
        success:
          type: boolean
        recording_status:
          $ref: '#/components/schemas/RecordingStatus'

````